wmsetbg(1)

NAME
wmsetbg - sets the background on the X11 display

SYNOPSIS
wmsetbg [-display display] [--update-domain domain|--update-wmaker] [options] [image]

DESCRIPTION
wmsetbg reads the specified image (in any format supported by the WRaster library) and puts it on the root window. It can either scale the image or tile it to make it fit the root window. Window Maker uses this command internally to set the root window image on start up.

OPTIONS

--back-color|-b color
    the specified color is used as the background color for the texture. Window Maker temporary sets the background to this color while loading and processing the texture. You can specify colors using their X11 names or as an RGB triplet (either as "rgb:RR/GG/BB" or "#RRGGBB") (reference to appropriate manpage should be here). In the later case color is a quoted string.

--center|-e
    centers the image in the screen

--colors|-c count
    limit the number of colors per channel to use for the image

-display display
    connect to the X display

--dither|-d
    enable color dithering on image

--fillscale|-f
    scales the specified image to fill screen while preserving aspect ratio

--help|-h
    print a help message with the list of options

--match|-m
    use the best-matching-color algorithm when converting image to indexed color palette

--maxscale|-a
    scales the specified image to fit inside the screen preserving its aspect ratio

--parse|-p texture
    parses the specified texture as a proplist style texture

--scale|-s
    scales the specified image to fill the screen (default)

--smooth|-S
    use a smooth scaling algorithm when resizing image

--tile|-t
    tiles the specified image

--update-domain|-D domain
    updates the specified domain database

--update-wmaker|-u
    updates the Window Maker defaults database

--version|-v
    print the version of Window Maker from which the program comes

--workspace|-w workspace
    update background only for the specified workspace

--xinerama|-X
    stretch image across Xinerama heads

INDEXED COLOR SCREENS
If your screen is not in a True Color configuration (generally sold as 16,777,216 colors) but in a indexed color mode (256 colors, 16 colors, ... which are based on a ColorMap) then Window Maker may need to process the image to convert it to a limited number of colors before using it for a background image.

There are two options to choose what algorithm you want to use:

--match or -m
    Search for the closest matching color from the current colormap; this is the fastest algorithm but may lead to less good-looking result.

--dither or -d
    Use a more complex algorithm which modify surrounding pixels to get a closer-looking color on average; this is slower but provides better looking images.

If none is specified, then it is Window Maker's configuration choice that will be used.

You can also use the option --colors to reduce the total number of colors from the image before the algorithm is applied. The value specified with the option defines the number of possible values for each primary color (red, green and blue), for example 8 would reduce the image to use only 8*8*8=512 colors before applying the conversion algorithm.

SEE ALSO
wmaker(1)

AUTHOR
This man page was written by Marcelo Magallon <mmagallo@debian.org>.

Window Maker was written by Alfredo K. Kojima <kojima@windowmaker.info>. wmsetbg was written by Dan Pascu <dan@windowmaker.info>